# DamageCalculationResult | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface DamageCalculationResult

Interface containing the results of a damage calculation for a given move

interface DamageCalculationResult {
cancelled : boolean;
damage : number;
result : HitResult ;
}

- Defined in src/field/pokemon.ts:7745

##### Index

### Properties

cancelled
damage
result

## Properties

### cancelled

cancelled: boolean

`true` if the move was cancelled (thus suppressing "No Effect" messages)

- Defined in src/field/pokemon.ts:7747

### damage

damage: number

The damage dealt by the move

- Defined in src/field/pokemon.ts:7751

### result

result: HitResult

The effectiveness of the move

- Defined in src/field/pokemon.ts:7749